Groovy Documentation

## org.codehaus.groovy.grails.cli.support
[Java] Class GrailsRootLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.codehaus.groovy.tools.RootLoader
                      org.codehaus.groovy.grails.cli.support.GrailsRootLoader

    public class GrailsRootLoader
    extends org.codehaus.groovy.tools.RootLoader

A custom Groovy RootLoader that works around issue GROOVY-2303. The problem is with Jaxen, so if we manage to remove that dependency (or it stops packaging UserDataHandler) we can revert back to using plain old Groovy RootLoader.

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`GrailsRootLoader(URL[] urls, java.lang.ClassLoader parent)`
`GrailsRootLoader()`

Method Summary
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`

Methods inherited from class org.codehaus.groovy.tools.RootLoader

org.codehaus.groovy.tools.RootLoader#getResource(java.lang.String), org.codehaus.groovy.tools.RootLoader#addURL(java.net.URL), org.codehaus.groovy.tools.RootLoader#newInstance([Ljava.net.URL;, java.lang.ClassLoader), org.codehaus.groovy.tools.RootLoader#newInstance([Ljava.net.URL;), org.codehaus.groovy.tools.RootLoader#findResource(java.lang.String), org.codehaus.groovy.tools.RootLoader#findResources(java.lang.String), org.codehaus.groovy.tools.RootLoader#getURLs(), org.codehaus.groovy.tools.RootLoader#loadClass(java.lang.String), org.codehaus.groovy.tools.RootLoader#getSystemClassLoader(), org.codehaus.groovy.tools.RootLoader#getResourceAsStream(java.lang.String), org.codehaus.groovy.tools.RootLoader#getSystemResourceAsStream(java.lang.String), org.codehaus.groovy.tools.RootLoader#getSystemResource(java.lang.String), org.codehaus.groovy.tools.RootLoader#getResources(java.lang.String), org.codehaus.groovy.tools.RootLoader#getSystemResources(java.lang.String), org.codehaus.groovy.tools.RootLoader#getParent(), org.codehaus.groovy.tools.RootLoader#setDefaultAssertionStatus(boolean), org.codehaus.groovy.tools.RootLoader#setPackageAssertionStatus(java.lang.String, boolean), org.codehaus.groovy.tools.RootLoader#setClassAssertionStatus(java.lang.String, boolean), org.codehaus.groovy.tools.RootLoader#clearAssertionStatus(), org.codehaus.groovy.tools.RootLoader#wait(), org.codehaus.groovy.tools.RootLoader#wait(long), org.codehaus.groovy.tools.RootLoader#wait(long, int), org.codehaus.groovy.tools.RootLoader#equals(java.lang.Object), org.codehaus.groovy.tools.RootLoader#toString(), org.codehaus.groovy.tools.RootLoader#hashCode(), org.codehaus.groovy.tools.RootLoader#getClass(), org.codehaus.groovy.tools.RootLoader#notify(), org.codehaus.groovy.tools.RootLoader#notifyAll()

Methods inherited from class java.net.URLClassLoader

java.net.URLClassLoader#newInstance([Ljava.net.URL;, java.lang.ClassLoader), java.net.URLClassLoader#newInstance([Ljava.net.URL;), java.net.URLClassLoader#findResource(java.lang.String), java.net.URLClassLoader#findResources(java.lang.String), java.net.URLClassLoader#getURLs(), java.net.URLClassLoader#loadClass(java.lang.String), java.net.URLClassLoader#getSystemClassLoader(), java.net.URLClassLoader#getResourceAsStream(java.lang.String), java.net.URLClassLoader#getResource(java.lang.String), java.net.URLClassLoader#getSystemResourceAsStream(java.lang.String), java.net.URLClassLoader#getSystemResource(java.lang.String), java.net.URLClassLoader#getResources(java.lang.String), java.net.URLClassLoader#getSystemResources(java.lang.String), java.net.URLClassLoader#getParent(), java.net.URLClassLoader#setDefaultAssertionStatus(boolean), java.net.URLClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#clearAssertionStatus(), java.net.URLClassLoader#wait(), java.net.URLClassLoader#wait(long), java.net.URLClassLoader#wait(long, int), java.net.URLClassLoader#equals(java.lang.Object), java.net.URLClassLoader#toString(), java.net.URLClassLoader#hashCode(), java.net.URLClassLoader#getClass(), java.net.URLClassLoader#notify(), java.net.URLClassLoader#notifyAll()

Methods inherited from class java.security.SecureClassLoader

java.security.SecureClassLoader#loadClass(java.lang.String), java.security.SecureClassLoader#getSystemClassLoader(), java.security.SecureClassLoader#getResourceAsStream(java.lang.String), java.security.SecureClassLoader#getResource(java.lang.String), java.security.SecureClassLoader#getSystemResourceAsStream(java.lang.String), java.security.SecureClassLoader#getSystemResource(java.lang.String), java.security.SecureClassLoader#getResources(java.lang.String), java.security.SecureClassLoader#getSystemResources(java.lang.String), java.security.SecureClassLoader#getParent(), java.security.SecureClassLoader#setDefaultAssertionStatus(boolean), java.security.SecureClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.security.SecureClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.security.SecureClassLoader#clearAssertionStatus(), java.security.SecureClassLoader#wait(), java.security.SecureClassLoader#wait(long), java.security.SecureClassLoader#wait(long, int), java.security.SecureClassLoader#equals(java.lang.Object), java.security.SecureClassLoader#toString(), java.security.SecureClassLoader#hashCode(), java.security.SecureClassLoader#getClass(), java.security.SecureClassLoader#notify(), java.security.SecureClassLoader#notifyAll()

Methods inherited from class java.lang.ClassLoader

java.lang.ClassLoader#loadClass(java.lang.String), java.lang.ClassLoader#getSystemClassLoader(), java.lang.ClassLoader#getResourceAsStream(java.lang.String), java.lang.ClassLoader#getResource(java.lang.String), java.lang.ClassLoader#getSystemResourceAsStream(java.lang.String), java.lang.ClassLoader#getSystemResource(java.lang.String), java.lang.ClassLoader#getResources(java.lang.String), java.lang.ClassLoader#getSystemResources(java.lang.String), java.lang.ClassLoader#getParent(), java.lang.ClassLoader#setDefaultAssertionStatus(boolean), java.lang.ClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#clearAssertionStatus(), java.lang.ClassLoader#wait(), java.lang.ClassLoader#wait(long), java.lang.ClassLoader#wait(long, int), java.lang.ClassLoader#equals(java.lang.Object), java.lang.ClassLoader#toString(), java.lang.ClassLoader#hashCode(), java.lang.ClassLoader#getClass(), java.lang.ClassLoader#notify(), java.lang.ClassLoader#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsRootLoader

    public GrailsRootLoader(URL[] urls, java.lang.ClassLoader parent)

### GrailsRootLoader

    public GrailsRootLoader()

Method Detail

### loadClass

    @Override
    protected java.lang.Class loadClass(java.lang.String name, boolean resolve)

Groovy Documentation